package cicaprojekt;

import javax.swing.*;
import javax.swing.filechooser.FileNameExtensionFilter;
import javax.swing.plaf.basic.BasicInternalFrameTitlePane;
import java.awt.*;
import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class ApplicationFrame implements Runnable
{
    private JFrame jframe;

    private JPanel mapselectorpanel;
    private JPanel gamepanel;

    private JList<File> filelist;


    public ApplicationFrame(){}

    public void init(){
        jframe = new JFrame();
        jframe.setMinimumSize(new Dimension(600, 400));

        mapselectorpanel = new JPanel();

        DefaultListModel<File> dungeonslist = new DefaultListModel<>();
        File dir = new File(System.getProperty("user.dir"));
        FileNameExtensionFilter filter = new FileNameExtensionFilter("N/A", "dungeon");

        for (File f : dir.listFiles()) {
            if (filter.accept(f) && f.isFile()){
                dungeonslist.addElement(f);
            }
        }

        filelist = new JList<>(dungeonslist);
        filelist.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        filelist.setLayoutOrientation(JList.HORIZONTAL_WRAP);

        mapselectorpanel.add(filelist);

        jframe.add(mapselectorpanel);
    }

    @Override
    public void run() {
        jframe.setVisible(true);
    }
}
